summary refs log tree commit diff
path: root/home/.local/bin/clock
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-07 22:05:20 -0500
committerJune McEnroe <june@causal.agency>2021-02-07 22:21:59 -0500
commit0a054350dbedcae3618c92e8eb3a7d43836c4258 (patch)
treead25af2f5f9233a96f9c87ffcc7516f666abe2a0 /home/.local/bin/clock
parentSet cursor theme and size (diff)
downloadsrc-0a054350dbedcae3618c92e8eb3a7d43836c4258.tar.gz
src-0a054350dbedcae3618c92e8eb3a7d43836c4258.zip
Add simple battery status and clock to xsession
I love how simple this is.
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/clock8
1 files changed, 8 insertions, 0 deletions
diff --git a/home/.local/bin/clock b/home/.local/bin/clock
new file mode 100755
index 00000000..4f5c8561
--- /dev/null
+++ b/home/.local/bin/clock
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+
+tput civis
+while :; do
+	printf '%3s%% %s' "$(apm -l)" "$(date +'%a %H:%M')"
+	sleep 10
+done
over-highlight'> 2020-03-03Remove setoptJune McEnroe 2020-03-03Use getopts in shell scriptsJune McEnroe WTF why did no one tell me about this? 2020-02-27Style %T outside of Rs in italicJune McEnroe 2020-02-26Add Fierce Femmes and Notorious LiarsJune McEnroe 2020-02-23Add This Is How You Lose the Time WarJune McEnroe 2020-02-22Add See Ya LaterJune McEnroe 2020-02-20Remove wiki scriptJune McEnroe Wikipedia seems to have removed the one-sentence extracts from the opensearch results. Too bad. It's not a wiki script, what we need is a command that fetches single-sentence summaries of articles on Wikipedia. 2020-02-19Add The Obelisk GateJune McEnroe 2020-02-17Add Four Tet — HandsJune McEnroe One from the cafe that caught my attention. 2020-02-12Simplify macOS notify-sendJune McEnroe 2020-02-12Add imbox and notemap to pageJune McEnroe 2020-02-12Collapse simple linksJune McEnroe 2020-02-12Move catgirl up the pageJune McEnroe 2020-02-12Update catgirl pty grabJune McEnroe 2020-02-12Link to cgit /about pages where appropriateJune McEnroe 2020-02-11Separate LINKS from BINS for html to workJune McEnroe 2020-02-11Add margin to Bl-bullet itemsJune McEnroe 2020-02-10Match URLs inside parens or with paired parens insideJune McEnroe 2020-02-10Duplicate effective URL before passing it back to curlJune McEnroe Apparently sometimes it didn't like receiving its own internal storage to parse again. Understandable. 2020-02-09Add To Be Taught, If FortunateJune McEnroe 2020-02-04Add The Future of Another TimelineJune McEnroe Wow. One of the best I've read. 2020-01-31Reorganize the Makefile for the umpteenth timeJune McEnroe Broke out LDLIBS for each bin, and made everything more uniform. 2020-01-28Change scout sensitivity to 1.4June McEnroe idk it seems to work. 2020-01-28Import shows.txtJune McEnroe